import type { _CLSActivityItem } from "./CLSActivityItem.js";
import type { _CLSObject } from "./CLSObject.js";
import type { _NSArray } from "../Foundation/NSArray.js";
export declare class _CLSActivity extends _CLSObject {
    static alloc(): _CLSActivity;
    static new(): _CLSActivity;
    init(): _CLSActivity;
    /**
     * @abstract Adds progress to this activity. @discussion The progress should be a decimal representation of the start and ending percentage [0.0, 1.0]. @param start Starting percentage. @param end Ending percentage.
     */
    addProgressRangeFromStart$toEnd$(start: number, end: number): void;
    /** @abstract Add an activity item to this CLSActivity. */
    addAdditionalActivityItem$(activityItem: _CLSActivityItem): void;
    /**
     * @abstract Start Activity. @discussion Starts the activity (or resumes if previously stopped).
     */
    start(): void;
    /**
     * @abstract Stop Activity. @discussion Stops or pauses the activity and ends the time being tracked on it.
     */
    stop(): void;
    /**
     * @abstract Deletes all activity items. @discussion Convenience method to delete all activity items associated with the current activity.
     */
    removeAllActivityItems(): void;
    /**
     * @abstract Current progress as a decimal representation of a percentage. @discussion Should be [0.0, 1.0].
     */
    progress(): number;
    setProgress$(value: number): void;
    /**
     * @abstract Returns the total time tracked in this activity (excluding any previous activities). @discussion The time between calling @c -start and @c -stop.
     */
    duration(): number;
    /**
     * @abstract The primary activityItem to be reported on. @discussion This can be nil indicating @c progress property is the primary data instead of any activityItems.
     */
    primaryActivityItem(): _CLSActivityItem | null;
    setPrimaryActivityItem$(value: _CLSActivityItem | null): void;
    /** @abstract Array of all additional activity items on this CLSActivity. */
    additionalActivityItems(): _NSArray;
    /** @abstract Returns whether this Activity has been started or not. */
    started(): boolean;
}
